Subject: bug#77075: [PATCH] Prepare package.el to be published on GNU ELPA, [PATCH] Prepare package.el to be published on GNU ELPA

From: Stefan Monnier <[email-masked]>
Date: Tue, 18 Mar 2025 11:55:14 -0400

>>>> -;; Package-Requires: ((tabulated-list "1.0"))
>>>> +;; Package-Requires: ((emacs "26.1") (compat "29"))
>>> I suggest to require the newest Compat 30.
>> Is there a particular technical need for it?
>> As usual, I recommend we don't unnecessarily tighten dependencies.
> For builtin packages, which are published on ELPA, I recommend to
> require the newest available Compat such that more APIs are available.
> Sometimes it happens that unavailable APIs are required accidentally
> when the Emacs code is updated in bulk.

Right, but there is also a "quality of service" desire to avoid
unnecessarily strict `package-requires:`.

> Alternatively one can check what is provided exactly by the given Compat
> version.  Package-lint provides an API version check and has Compat
> support.  It warns if an API is used which is not available by the
> specified Emacs or Compat version.

Maybe it could also point out when the specified requirements seem to be
more strict than necessary?

        Stefan